#include <iostream>

using namespace std;

class Grados{
  int grad, min, seg;
public:
  Grados(){grad=0;min=0;seg=0;};
  Grados(int g, int m, int s){grad=g;min=m;seg=s;};
  void poner(int g, int m, int s){grad=g;min=m;seg=s;};
  void sumar(Grados a);
  void escribe(){cout<<grad<<"g"<<min<<"'"<<seg<<"\"\n";};
};

void Grados::sumar(Grados a){
//este método suma al objeto otro objeto
  seg += a.seg;
  if(seg>=60){
    min += seg/60;
    seg = seg%60;
  }
  min += a.min;
  if(min>=60){
    grad += min/60;
    min = min%60;
  }
  grad += a.grad;
}

main(){
  Grados a(30,45,35),b;
  b.poner(3,18,34);
  a.escribe();
  b.escribe();
  a.sumar(b);
  a.escribe();
  system("pause");
}
